package com.ruoyi.basicData.service;

import com.ruoyi.basicData.domain.TCompany;

import java.util.List;

/**
 * 公司名称Service接口
 *
 * @author ruoyi
 * @date 2020-12-11
 */
public interface ITCompanyService {
    /**
     * 查询公司名称
     *
     * @param fId 公司名称ID
     * @return 公司名称
     */
    public TCompany selectTCompanyById(Long fId);

    /**
     * 查询公司名称列表
     *
     * @param tCompany 公司名称
     * @return 公司名称集合
     */
    public List<TCompany> selectTCompanyList(TCompany tCompany);

    /**
     * 新增公司名称
     *
     * @param tCompany 公司名称
     * @return 结果
     */
    public int insertTCompany(TCompany tCompany);

    /**
     * 修改公司名称
     *
     * @param tCompany 公司名称
     * @return 结果
     */
    public int updateTCompany(TCompany tCompany);

    /**
     * 批量删除公司名称
     *
     * @param fIds 需要删除的公司名称ID
     * @return 结果
     */
    public int deleteTCompanyByIds(Long[] fIds);

    /**
     * 删除公司名称信息
     *
     * @param fId 公司名称ID
     * @return 结果
     */
    public int deleteTCompanyById(Long fId);
}
